package jalview.util.dialogrunner;
import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertNotEquals;
import static org.testng.Assert.assertNull;

import org.testng.annotations.Test;

public class RunResponseTest
{
  @Test
  public void testRunResponse()
  {
    RunResponse rr = new RunResponse("OK")
    {
      @Override
      public void run()
      {
        returnValue = "DONE";
      }
    };
    assertEquals(rr.trigger, "OK");
    assertNotEquals(rr.trigger, "NOTOK");
    assertNull(rr.returnValue);

    assertEquals(rr.returnValue, "DONE");
    rr.reset();
    assertNull(rr.returnValue);

    assertEquals(rr.toString(), "Runner for " + "OK");

    // just test the other constructors
    RunResponse rr12 = new RunResponse(12)
    {
      @Override
      public void run()
      {
        returnValue = "DONE";
      }
    };
    RunResponse rrpi = new RunResponse(new Double(3.142))
    {
      @Override
      public void run()
      {
        returnValue = "DONE";
      }
    };
    assertEquals(rr12.trigger, Integer.valueOf(12));
    assertEquals(rrpi.trigger, Double.valueOf(3.142));
}
}
